#include <mega8.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x80
	.EQU __sm_mask=0x70
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0x60
	.EQU __sm_ext_standby=0x70
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif
#include <delay.h>
// 1 Wire Bus functions
#asm
   .equ __w1_port=0x18 ;PORTB
   .equ __w1_bit=2
#endasm
#include <1wire.h>
#include <ds18b20.h>

// Alphanumeric LCD Module functions
#asm
   .equ __lcd_port=0x12 ;PORTD
#endasm
#include <lcd.h>
#include <stdio.h>

char lcd_buf[17];
void main(void)
{

float temper;
lcd_init(16);
w1_init();
ds18b20_init(0,-20,50,DS18B20_12BIT_RES);

while(1)
      {
          temper=ds18b20_temperature(0);
          if (temper>1000)
          {
             temper=4096.0-temper;
             temper=-temper;
          }
          sprintf(lcd_buf,"t=%.1f\xdfC",temper);
          lcd_clear();
          lcd_puts(lcd_buf);
          delay_ms(1500);
      };
}
